﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.OleDb;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using C1.Web.Wijmo.Controls.C1Chart;
namespace C1Chart
{
    public partial class Default : System.Web.UI.Page
    {
        private string conn = ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString;
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                //C1BarChart1.DataBindings.Add(new C1ChartBinding() { XField = "Company", XFieldType = ChartDataXFieldType.String, YField = "Cost", YFieldType = ChartDataYFieldType.Number });
                //C1BarChart1.DataBindings.Add(new C1ChartBinding() { XField = "Company", XFieldType = ChartDataXFieldType.String, YField = "Sum", YFieldType = ChartDataYFieldType.Number });
                //C1BarChart1.DataSource = GetData();
                //C1BarChart1.DataBind();
            }
            
        }

        private DataTable GetData()
        {
            DataTable Cars = Page.Session["Cars"] as DataTable;
            if (Cars != null)
            {
                return Cars;
            }
            using (OleDbConnection connection = new OleDbConnection(conn))
            {
                using (OleDbDataAdapter adapter = new OleDbDataAdapter("SELECT [Cost],[Sum],[Company] FROM [Data]", connection))
                {
                    Cars = new DataTable("Cars");
                    adapter.Fill(Cars);
                    Page.Session["Cars"] = Cars;
                }
            }
            return Cars;
        }
    }
}